package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.NewsInfo;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.NewsInfoMapper")
public interface NewsInfoMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(NewsInfo record);

    NewsInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(NewsInfo record);

    List<NewsInfo> queryAllNewsInfo(NewsInfo record);

    List<NewsInfo> queryNewsInfoByPage(Map<String, Object> parameter);

    int delete(String id);

    NewsInfo queryNewsInfo(NewsInfo record);

    List<NewsInfo> query(NewsInfo record);
}

